XdkWrl: Script Class Reference

Home | Hierarchy | Members | Alphabetical | Related Pages

# Script Class Reference
[Base Types]

`#include <script.h>`

Inherits DeclaredNode.

List of all members.

## Public Member Functions
| Script (const char *name="")
virtual | ~Script ()
virtual FieldHandle | field (const std::string &n)
virtual unsigned int | nbFields () const
virtual FieldHandle | field (unsigned int i)
virtual bool | isSetToDefaultValue (unsigned int i) const
const char * | typeName () const
virtual Node * | duplicate () const
virtual Node * | duplicate (std::map< const Node *, Node * > &) const
virtual bool | isDeclaredField (const std::string &n) const
virtual bool | isDeclaredField (unsigned int i) const
## Public Attributes
MFString | url
SFBool | directOutput
SFBool | mustEvaluate

## Constructor & Destructor Documentation

Script | ( | const char * | name = `""` | ) |

virtual ~Script | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

Node::FieldHandle field | ( | const std::string & | n | ) | `[virtual]`

Return a handle on the field named `n` of the node or a "unknown" typed handle if there is no such node.

Reimplemented from DeclaredNode.

unsigned int nbFields | ( |  | ) | const`[virtual]`

Return the number of fields (exposed or not) of the node type. Each field has a unique name and an unique number associated, which allows to retrieve the field value either by its name or a number (for sequential traversal of all fields for example). Each node specifies in its documentation the relation of names and numbers.

Reimplemented from DeclaredNode.

Node::FieldHandle field | ( | unsigned int | i | ) | `[virtual]`

Return a handle on the `ith` field of the node or a "unknown" typed handle if there is no such node. See nbFields() to find the number of fields.

Reimplemented from DeclaredNode.

bool isSetToDefaultValue | ( | unsigned int | i | ) | const`[virtual]`

Implements Node.

const char * typeName | ( |  | ) | const`[inline, virtual]`

Implements Node.

Node * duplicate | ( |  | ) | const`[virtual]`

Returns a deep copy of this node, that is a fully independant node with all children (if any) also copied. This is mainly useful for instanciating protos.

Implements Node.

Node * duplicate | ( | std::map< const Node *, Node * > & |  | ) | const`[virtual]`

Implements Node.

virtual bool isDeclaredField | ( | const std::string & | n | ) | const`[virtual]`

Reimplemented from DeclaredNode.

bool isDeclaredField | ( | unsigned int | i | ) | const`[virtual]`

Reimplemented from DeclaredNode.

## Member Data Documentation

MFString url

SFBool directOutput

SFBool mustEvaluate

Generated on 5 Jan 2007 with version 1.5.1. |